Overview

List all groups

GET/v2/rbac/groups
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input0
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
Output5
descriptionstring
Detailed description of the group's purpose and scope
membersstring[]
List of user IDs that are assigned to this group
namestring
Unique name identifier for the group
rolesstring[]
List of role IDs that are assigned to this group
idstring
Unique identifier for the group
Responses
200A list of groups was successfully retrieved
Example input
curl 'https://api.axiom.co/v2/rbac/groups' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "description": "string",
    "isManaged": false,
    "members": [
      "string"
    ],
    "name": "string",
    "roles": [
      "string"
    ],
    "id": "string"
  }
]

Updated

Was this page helpful?